package cn.bunny.service.impl;

import cn.bunny.common.spzx.model.dto.system.SysRoleDto;
import cn.bunny.common.spzx.model.entity.system.SysRole;
import cn.bunny.mapper.SysRoleMapper;
import cn.bunny.service.SysRoleService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Log4j2
@Service
public class SysRoleServiceImpl implements SysRoleService {
    @Autowired
    private SysRoleMapper sysRoleMapper;

    @Override
    public PageInfo<SysRole> findByPage(SysRoleDto sysRoleDto, Integer current, Integer limit) {
        // 设置分页器参数
        PageHelper.startPage(current, limit);
        // 根据条件查询所以数据
        List<SysRole> list = sysRoleMapper.findByPage(sysRoleDto);
        // 封装pageinfo对象
        PageInfo<SysRole> pageInfo = new PageInfo<>(list);
        return pageInfo;
    }

    // 角色添加的方法
    @Override
    public void saveSysRole(SysRole sysRole) {
        sysRoleMapper.saveSysRole(sysRole);
    }

    // 角色修改方法
    @Override
    public void updateSysRole(SysRole sysRole) {
        sysRoleMapper.updateSysRole(sysRole);
    }

    // deleteSysRole
    @Override
    public void deleteSysRole(Long roleId) {
        sysRoleMapper.deleteSysRole(roleId);
    }

    // 彻底删除角色
    @Override
    public void deleteSysRoleByRoleId(Long roleId) {
        sysRoleMapper.deleteSysRoleByRoleId(roleId);
    }
}
